# Method: organizations.locations.entitlements.grants.deny

- [HTTP request](https://docs.cloud.google.com/iam/docs/reference/pam/rest/v1/organizations.locations.entitlements.grants/deny#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/iam/docs/reference/pam/rest/v1/organizations.locations.entitlements.grants/deny#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/iam/docs/reference/pam/rest/v1/organizations.locations.entitlements.grants/deny#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/iam/docs/reference/pam/rest/v1/organizations.locations.entitlements.grants/deny#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/iam/docs/reference/pam/rest/v1/organizations.locations.entitlements.grants/deny#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/iam/docs/reference/pam/rest/v1/organizations.locations.entitlements.grants/deny#body.aspect)
- [Examples](https://docs.cloud.google.com/iam/docs/reference/pam/rest/v1/organizations.locations.entitlements.grants/deny#examples)
- [Try it!](https://docs.cloud.google.com/iam/docs/reference/pam/rest/v1/organizations.locations.entitlements.grants/deny#try-it)

`grants.deny` is used to deny a grant. This method can only be called on a grant when it's in the `APPROVAL_AWAITED` state. This operation can't be undone.

### HTTP request

`POST https://privilegedaccessmanager.googleapis.com/v1/{name=organizations/*/locations/*/entitlements/*/grants/*}:deny`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Name of the grant resource which is being denied. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "reason": string } ``` |

| Fields ||
|---|---|
| `reason` | `string` Optional. The reason for denying this grant. This is required if `requireApproverJustification` field of the `ManualApprovals` workflow used in this grant is true. |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/iam/docs/reference/pam/rest/v1/folders.locations.entitlements.grants#Grant`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).